public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/capstone/
Date: Sat,  2 Nov 2024 12:46:05 +0000 (UTC)	[thread overview]
Message-ID: <1730551559.79a480978db4efd2ea36d2e4cad65e0eb34e04ac.juippis@gentoo> (raw)

commit:     79a480978db4efd2ea36d2e4cad65e0eb34e04ac
Author:     Mario Haustein <mario.haustein <AT> hrz <DOT> tu-chemnitz <DOT> de>
AuthorDate: Fri Oct  4 13:40:41 2024 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Nov  2 12:45:59 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79a48097

dev-libs/capstone: sync live

Signed-off-by: Mario Haustein <mario.haustein <AT> hrz.tu-chemnitz.de>
Closes: https://github.com/gentoo/gentoo/pull/38877
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-libs/capstone/capstone-9999.ebuild | 25 ++++++++++++++-----------
 1 file changed, 14 insertions(+), 11 deletions(-)

diff --git a/dev-libs/capstone/capstone-9999.ebuild b/dev-libs/capstone/capstone-9999.ebuild
index ce469dd82485..8d6006b4688e 100644
--- a/dev-libs/capstone/capstone-9999.ebuild
+++ b/dev-libs/capstone/capstone-9999.ebuild
@@ -18,14 +18,19 @@ if [[ ${PV} == 9999 ]]; then
 	EGIT_REPO_URI="https://github.com/capstone-engine/capstone.git"
 	EGIT_REPO_BRANCH="next"
 else
-	MY_PV="${PV/_rc/-rc}"
+	MY_PV="${PV}"
+	MY_PV="${MY_PV/_alpha/-Alpha}"
+	MY_PV="${MY_PV/_beta/-Beta}"
+	MY_PV="${MY_PV/_rc/-rc}"
 	SRC_URI="https://github.com/capstone-engine/capstone/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
 	S="${WORKDIR}/${PN}-${MY_PV}"
-	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+	if [[ ${PV} != *_alpha* && ${PV} != *_beta* && ${PV} != *_rc* ]] ; then
+		KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+	fi
 fi
 
 LICENSE="BSD"
-SLOT="0/5" # libcapstone.so.5
+SLOT="0/6" # libcapstone.so.6
 
 IUSE="python static-libs test"
 RDEPEND="python? ( ${PYTHON_DEPS} )"
@@ -41,7 +46,7 @@ PATCHES=(
 	# Currently "-Werror" is only added in the `next`-development branch, but
 	# not merged into 5.* releases. Eventually this patch may be needed in the
 	# version 5 release line. See bug #911481.
-	"${FILESDIR}/${P}-werror.patch"
+	"${FILESDIR}/${PN}-werror.patch"
 )
 
 if [[ ${PV} == *_rc* ]]; then
@@ -54,7 +59,7 @@ wrap_python() {
 	shift
 
 	if use python; then
-		pushd bindings/python >/dev/null || die
+		pushd "${S}/bindings/python" >/dev/null || die
 		distutils-r1_${phase} "$@"
 		popd >/dev/null || die
 	fi
@@ -69,7 +74,8 @@ src_prepare() {
 
 src_configure() {
 	local mycmakeargs=(
-		-DCAPSTONE_BUILD_TESTS="$(usex test)"
+		-DBUILD_SHARED_LIBS=true
+		-DCAPSTONE_BUILD_STATIC_RUNTIME=false
 	)
 	cmake_src_configure
 
@@ -92,12 +98,9 @@ src_install() {
 	cmake_src_install
 
 	wrap_python ${FUNCNAME}
-
-	if ! use static-libs ; then
-		find "${ED}" -name '*.a' -delete || die
-	fi
 }
 
 python_test() {
-	emake check
+	./tests/test_all.py || die
+	./tests/test_iter.py || die
 }


             reply	other threads:[~2024-11-02 12:46 UTC|newest]

Thread overview: 78+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-11-02 12:46 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-28 15:22 [gentoo-commits] repo/gentoo:master commit in: dev-libs/capstone/ Sam James
2025-03-26  6:27 Sam James
2025-03-26  6:27 Sam James
2025-02-19 11:14 Sam James
2025-02-19 11:14 Sam James
2025-02-19 11:14 Sam James
2024-11-29 21:18 Eli Schwartz
2024-11-21 21:08 Arthur Zamarin
2024-11-19 12:06 Sam James
2024-11-19 12:06 Sam James
2024-10-05  7:54 Arthur Zamarin
2024-10-05  7:39 Michał Górny
2024-08-28  6:39 Joonas Niilola
2024-08-28  6:39 Joonas Niilola
2024-07-03  5:17 Ionen Wolkens
2024-06-02  0:41 Sam James
2024-06-02  0:41 Sam James
2024-01-03  6:22 Sam James
2023-10-04 21:56 Conrad Kostecki
2023-09-26 18:25 Sam James
2023-09-26 17:58 Sam James
2023-09-03 16:39 Sam James
2023-09-03 16:39 Sam James
2023-08-26  4:01 Sam James
2023-08-26  4:01 Sam James
2023-07-31  8:08 Joonas Niilola
2023-07-31  8:08 Joonas Niilola
2023-06-18 19:02 John Helmert III
2023-06-18 19:02 John Helmert III
2023-03-20 21:52 Sam James
2023-03-20 21:52 Sam James
2023-02-17 17:27 Viorel Munteanu
2023-01-20  0:03 Mike Frysinger
2023-01-14  8:04 Arthur Zamarin
2023-01-05  5:21 Sam James
2022-12-02 10:20 WANG Xuerui
2022-12-02 10:20 WANG Xuerui
2022-11-11  6:30 Sam James
2022-11-11  4:25 Sam James
2022-08-27  8:27 Sam James
2022-08-27  8:27 Sam James
2022-08-15 23:10 Sam James
2022-08-15 23:10 Sam James
2022-08-15 23:10 Sam James
2022-08-15 23:10 Sam James
2022-08-15 23:10 Sam James
2022-08-05  7:17 Joonas Niilola
2022-04-29  9:01 Joonas Niilola
2022-04-29  9:01 Joonas Niilola
2022-01-23  8:05 Yixun Lan
2021-10-27  6:37 Agostino Sarubbo
2021-10-27  6:35 Agostino Sarubbo
2021-07-23  7:33 Sergei Trofimovich
2021-07-03  7:09 Sergei Trofimovich
2021-05-15 13:58 Sergei Trofimovich
2020-11-10 23:49 Sergei Trofimovich
2020-09-01 18:13 Sergei Trofimovich
2020-09-01 18:13 Sergei Trofimovich
2020-07-05 10:56 Sergei Trofimovich
2020-05-29 22:13 Sergei Trofimovich
2020-05-20 17:53 Sergei Trofimovich
2020-05-08 18:44 Sergei Trofimovich
2020-03-23 23:58 Sergei Trofimovich
2020-02-12 22:32 Sergei Trofimovich
2019-10-02 17:53 Mike Auty
2019-09-18 22:12 Sergei Trofimovich
2019-08-05 12:41 Guilherme Amadio
2019-01-10 21:37 Sergei Trofimovich
2017-12-24 14:13 Sergei Trofimovich
2017-10-12 11:14 Sergei Trofimovich
2017-09-25 13:37 Pacho Ramos
2017-07-29  9:26 Sergei Trofimovich
2017-03-25 16:09 Sergei Trofimovich
2016-09-28 19:26 Richard Farina
2016-09-03 14:01 Sergei Trofimovich
2016-06-04 12:01 Sergei Trofimovich
2016-06-04 11:54 Sergei Trofimovich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1730551559.79a480978db4efd2ea36d2e4cad65e0eb34e04ac.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox